Update Rlhf Policy
curl --request PUT \
--url https://api.heybee.app/v1/rlhf/experiments/{experiment_id}/policy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"budget_cap_credits": 1,
"collection_mode": "pairwise",
"participant_notes": "<string>",
"queue": {
"max_concurrent_assignments": 1,
"strategy": "balanced"
},
"round": {
"max_rounds": 5000,
"min_decisive_pairs_per_axis": 50
},
"version": 1
}
'import requests
url = "https://api.heybee.app/v1/rlhf/experiments/{experiment_id}/policy"
payload = {
"budget_cap_credits": 1,
"collection_mode": "pairwise",
"participant_notes": "<string>",
"queue": {
"max_concurrent_assignments": 1,
"strategy": "balanced"
},
"round": {
"max_rounds": 5000,
"min_decisive_pairs_per_axis": 50
},
"version": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
budget_cap_credits: 1,
collection_mode: 'pairwise',
participant_notes: '<string>',
queue: {max_concurrent_assignments: 1, strategy: 'balanced'},
round: {max_rounds: 5000, min_decisive_pairs_per_axis: 50},
version: 1
})
};
fetch('https://api.heybee.app/v1/rlhf/experiments/{experiment_id}/policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"budget_cap_credits": 1,
"collection_mode": "pairwise",
"participant_notes": "<string>",
"queue": {
"max_concurrent_assignments": 1,
"strategy": "balanced"
},
"round": {
"max_rounds": 5000,
"min_decisive_pairs_per_axis": 50
},
"version": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}RLHF
Update Rlhf Policy
PUT
/
v1
/
rlhf
/
experiments
/
{experiment_id}
/
policy
Update Rlhf Policy
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required range:
x >= 0Available options:
pairwise, numeric, multi_axis Maximum string length:
4000Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
Required range:
x >= 0Available options:
pairwise, numeric, multi_axis Maximum string length:
4000Show child attributes
Show child attributes
Show child attributes
Show child attributes

